/**********************************************************************************
 * Copyright 2013 Christoph Pflaum 
 * 		Department Informatik Lehrstuhl 10 - Systemsimulation
 *		Friedrich-Alexander Universität Erlangen-Nürnberg
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 **********************************************************************************/

#ifndef LINALG_H_
#define LINALG_H_

#include <iostream>
#include <fstream>
using std::ofstream;
using std::cout;
using std::endl;

#include <complex>
#include <cmath>

#include <cassert>

#include "../../common_source/extemp_type.h"
#include "extemp/extempAlg.h"
#include "extemp/vector.h"
#include "extemp/matrix.h"
#include "extemp/invertMatrix.h"


#endif // UGBLOCK2D_H_
