/**********************************************************************************
 * Copyright 2010 Christoph Pflaum 
 * 		Department Informatik Lehrstuhl 10 - Systemsimulation
 *		Friedrich-Alexander Universität Erlangen-Nürnberg
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 **********************************************************************************/
 
#ifndef TRANS_UG2D_H
#define TRANS_UG2D_H
#include <vector>


////////////////////////////////////////////////////////////////////
// disc
////////////////////////////////////////////////////////////////////


D2vector transform_disc_NE ( double t, double* pointer_global_data);

D2vector transform_disc_NW ( double t, double* pointer_global_data);

D2vector transform_disc_SW ( double t, double* pointer_global_data);

D2vector transform_disc_SE ( double t, double* pointer_global_data);

D2vector transform_disc_NE_inner ( double t, double* pointer_global_data);

D2vector transform_disc_NW_inner ( double t, double* pointer_global_data);

D2vector transform_disc_SW_inner ( double t, double* pointer_global_data);

D2vector transform_disc_SE_inner ( double t, double* pointer_global_data);


#endif 
