/**********************************************************************************
 * Copyright 2010 Christoph Pflaum 
 * 		Department Informatik Lehrstuhl 10 - Systemsimulation
 *		Friedrich-Alexander Universität Erlangen-Nürnberg
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 **********************************************************************************/




//#include "../abbrevi.h"
//#include "../parameter.h"
#include "math_lib.h"

////////////////////////////////////
//    lambda of p in tet
////////////////////////////////////


D2vector lambda_of_p_in_tri(D2vector p,
			    D2vector cA, D2vector cB, D2vector cC) {
  D2matrix M(cB-cA,cC-cA);

  D2vector t;
  t = M.invert_apply(p-cA);

  return M.invert_apply(p-cA);
}
