/**********************************************************************************
 * Copyright 2010 Christoph Pflaum 
 * 		Department Informatik Lehrstuhl 10 - Systemsimulation
 *		Friedrich-Alexander Universität Erlangen-Nürnberg
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 **********************************************************************************/

#include "../Colsamm.h"

static _COLSAMM_::ELEMENTS::Hexahedron_Transformation                   t00;
static _COLSAMM_::ELEMENTS::Hexahedron_Transformation_2			t01;
static _COLSAMM_::ELEMENTS::Cuboid_Transformation			t02;
static _COLSAMM_::ELEMENTS::Cuboid_Transformation_2			t03;
static _COLSAMM_::ELEMENTS::Tetrahedron_Transformation			t04;
static _COLSAMM_::ELEMENTS::Pyramid_Transformation			t05;
static _COLSAMM_::ELEMENTS::Prism_Transformation			t06;
static _COLSAMM_::ELEMENTS::Triangle_Transformation			t07;
static _COLSAMM_::ELEMENTS::Quadrangle_Transformation			t08;
static _COLSAMM_::ELEMENTS::Quadrangle_Transformation_2			t09;
static _COLSAMM_::ELEMENTS::Interval_Transformation                     t10;
