#####################################################################
# Colsammm 
######################################################################

DEPENDPATH += $${UGBLOCKS_PATH}/Source_Colsamm

INCLUDEPATH += $${UGBLOCKS_PATH}/Source_Colsamm

# Input
HEADERS += $${UGBLOCKS_PATH}/Source_Colsamm/Colsamm.h \
           $${UGBLOCKS_PATH}/Source_Colsamm/Loops.h \
           $${UGBLOCKS_PATH}/Source_Colsamm/Loops.C \
           $${UGBLOCKS_PATH}/Source_Colsamm/Polynom.h \
           $${UGBLOCKS_PATH}/Source_Colsamm/Polynom.C \
           $${UGBLOCKS_PATH}/Source_Colsamm/Gauss_Points.h \
           $${UGBLOCKS_PATH}/Source_Colsamm/Gauss_Points.C \
           $${UGBLOCKS_PATH}/Source_Colsamm/VertexComputations.h \
           $${UGBLOCKS_PATH}/Source_Colsamm/VertexComputations.C \
           $${UGBLOCKS_PATH}/Source_Colsamm/Mapping.h \
           $${UGBLOCKS_PATH}/Source_Colsamm/Mapping.C \
           $${UGBLOCKS_PATH}/Source_Colsamm/BasisFunctions.h \
           $${UGBLOCKS_PATH}/Source_Colsamm/BasisFunctions.C \
           $${UGBLOCKS_PATH}/Source_Colsamm/Domain.h \
           $${UGBLOCKS_PATH}/Source_Colsamm/Domain.C \
           $${UGBLOCKS_PATH}/Source_Colsamm/Stencil.h \
           $${UGBLOCKS_PATH}/Source_Colsamm/Stencil.C \
           $${UGBLOCKS_PATH}/Source_Colsamm/CT_Manip.h \
           $${UGBLOCKS_PATH}/Source_Colsamm/CT_Manip.C \
           $${UGBLOCKS_PATH}/Source_Colsamm/Stencil_ET.h \
           $${UGBLOCKS_PATH}/Source_Colsamm/Stencil_ET.C \
           $${UGBLOCKS_PATH}/Source_Colsamm/CT_Manip_ET.h \
           $${UGBLOCKS_PATH}/Source_Colsamm/CT_Manip_ET.C \
           $${UGBLOCKS_PATH}/Source_Colsamm/Elements.h 
  
  
SOURCES += $${UGBLOCKS_PATH}/Source_Colsamm/Loops.C \
           $${UGBLOCKS_PATH}/Source_Colsamm/Polynom.C \
           $${UGBLOCKS_PATH}/Source_Colsamm/Gauss_Points.C \
           $${UGBLOCKS_PATH}/Source_Colsamm/VertexComputations.C \
           $${UGBLOCKS_PATH}/Source_Colsamm/Mapping.C \
           $${UGBLOCKS_PATH}/Source_Colsamm/BasisFunctions.C \
           $${UGBLOCKS_PATH}/Source_Colsamm/Domain.C \
           $${UGBLOCKS_PATH}/Source_Colsamm/Stencil.C \
           $${UGBLOCKS_PATH}/Source_Colsamm/CT_Manip.C \
           $${UGBLOCKS_PATH}/Source_Colsamm/Stencil_ET.C \
           $${UGBLOCKS_PATH}/Source_Colsamm/CT_Manip_ET.C 

