#ifndef EXTEMP_TYPE_H
#define EXTEMP_TYPE_H



///////////////////////////////
// kommt so in 3D und 2D vor
///////////////////////////////

// JH (24/05/2006)
// class specialization for deciding, whether the return type of an
// expression is double or complex
template <class A, class B>
struct TypeOf {
    typedef std::complex<double> Result;
};

template <>
struct TypeOf<double, double> {
    typedef double Result;
};

// JH (24/05/2006)
// define to ease the implementation concerning the type evalutation
#define _TypeOf0_(A,B) typename TypeOf<A,B>::Result
#define _TypeOf1_(A,B) typename TypeOf<typename A::Result,B>::Result
#define _TypeOf2_(A,B) typename TypeOf<typename A::Result,typename B::Result>::Result
//----------------------------------------------------------------------------


#endif // EXTEMP_TYPE_H
