// ------------------------------------------------------------
// main.cc
//
// ------------------------------------------------------------


#include "source/ugblock.h"

using namespace ::_COLSAMM_;



          /* columne of a cylinder */



int main()
{
  cout.precision(10);
  int n;

  n = 32;                                      // number of grid points

  cout << "\n Surface of a cylinder \n";
  cout << "\n Number of grid points in each direction: " << n << endl;

  // Part 1: Construction of a domain and markers:
  //-----------------------------------------------
  Cylinder cylinder(2.0,1.0,4.0);


  // Part 2: Construction of a grid:
  //--------------------------------
  Blockgrid grid(&cylinder,n);                    // Construction of grid

  Variable<double> u(grid);
  Variable<double> one(grid);


  // Part 4: The mathematical code:
  //-------------------------------
  Local_stiffness_matrix<double> Helm_boundary(grid);

  Helm_boundary.Calculate_boundary(v_()*w_());

  one = 1.0;
  u = 0.0;
  u = Helm_boundary(one);

  cout << " surface: " << product(u,one) << endl;

}                                                 


