/**********************************************************************************
 * Copyright 2010 Christoph Pflaum 
 * 		Department Informatik Lehrstuhl 10 - Systemsimulation
 *		Friedrich-Alexander Universität Erlangen-Nürnberg
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 **********************************************************************************/
 
// ------------------------------------------------------------
//
// matrix.cc
//
// ------------------------------------------------------------


#include <iostream>
#include <fstream>
using std::ofstream;
using std::cout;
using std::endl;

#include <complex>
#include <cmath>

#include <cassert>

#include "extempAlg.h"
#include "vector.h"
#include "matrix.h"

//template<>
//int      MatrixAuxilliary< std::complex<double> >::sizeAux = 0;
//
//template<>
//std::complex<double>*  MatrixAuxilliary< std::complex<double> >::dataAux = NULL;
//
//template<>
//int      MatrixAuxilliary<double> ::sizeAux = 0;
//
//template<>
//double*  MatrixAuxilliary< double >::dataAux = NULL;

int      MatrixAuxilliaryData::sizeAux = 0;

char*  MatrixAuxilliaryData::dataAux = NULL;


