/**********************************************************************************
 * Copyright 2010 Christoph Pflaum 
 * 		Department Informatik Lehrstuhl 10 - Systemsimulation
 *		Friedrich-Alexander Universität Erlangen-Nürnberg
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 **********************************************************************************/

#ifndef RESSTEN2D_H_
#define RESSTEN2D_H_

class Index2D_calc_x {
 public:
  static int index(int i, int j) { return i + 2*j; }
};

class Index2D_calc_y {
 public:
  static int index(int j, int i) { return i + 2*j; }
};

class Index2D_calc_xy {
 public:
  static int index(int j, int i) { return i + 2*j; }
};

int getLocalIndex(int cell_x, int cell_y,int i, int j);

#endif
